Bug 516058 - Review Request: php-email-address-validation - A PHP class for validating email addresses
Summary: Review Request: php-email-address-validation - A PHP class for validating ema...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 516059
TreeView+ depends on / blocked
 
Reported: 2009-08-06 15:01 UTC by Andrew Colin Kissa
Modified: 2015-03-03 13:13 UTC (History)
4 users (show)

Fixed In Version: 0-0.3.20090910svn.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-24 05:07:29 UTC
steve.traylen: fedora-review+


Attachments (Terms of Use)

Description Andrew Colin Kissa 2009-08-06 15:01:36 UTC
Spec URL: http://topdog-software.com/oss/SRPMS/fedora/php-email-address-validation/php-email-address-validation.spec
SRPM URL: http://topdog-software.com/oss/SRPMS/fedora/php-email-address-validation/php-email-address-validation-0-0.1.20090806svn.fc11.src.rpm
Description: 
This email address validation function was originally released on 
AddedBytes.com in June 2004, and was updated following many 
comments and suggestions from readers.

ICANN has announced that the TLD system would be opened up to allow 
the creation of many many more TLDs, making it more important than 
ever that email addresses are properly validated according to the 
standards that define them.

Comment 1 Jason Tibbitts 2009-09-10 00:50:07 UTC
A couple of comments:

%description doesn't actually say what the package does.  The project history isn't really relevant for a package description.

There's no instructions for duplicating the included tarball as required by http://fedoraproject.org/wiki/Packaging:SourceURL

This package has no dependencies at all.  At the very least it would have to depend on php-common so that /usr/share/php is owned correctly.  More likely it should depend on php itself.
http://fedoraproject.org/wiki/Packaging:PHP#Other_Packages

Comment 3 Steve Traylen 2009-09-11 18:16:23 UTC
Hi,
This all looks good, it is of course incredibly simple from a 
packaging point of view.

$ rpmlint SPECS/php-email-address-validation.spec \
    SRPMS/php-email-address-validation-0-0.2.20090910svn.fc11.src.rpm \
    RPMS/noarch/php-email-address-validation-0-0.2.20090910svn.fc11.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

A mock build is fine.

It clearly is BSD licensed but if you could encourage upstream 
to include a LICENSE file that would be good.


The PHP guidelines mentioned above.

<quote>
Other Packages

PHP addons which are neither PEAR nor PECL should require what makes sense (either a base PHP version or a php-api, php(zend-abi) as necessary). 
</quote>

suggest to me that php should be a requirement and given this 
does not work with out php installed this makes perfect sense to me.

Steve

Comment 4 Andrew Colin Kissa 2009-09-11 18:48:21 UTC
Thanks Steve,

- I will fire an email to upstream as to the license issue.

- As for the php requirement, i thought adding php-common automatically pulling in php. I have now added the requirement.

Updated spec & rpm

http://topdog-software.com/oss/SRPMS/fedora/php-email-address-validation/php-email-address-validation-0-0.3.20090910svn.fc11.src.rpm
http://topdog-software.com/oss/SRPMS/fedora/php-email-address-validation/php-email-address-validation.spec

Comment 5 Steve Traylen 2009-09-12 17:54:58 UTC
All good 

APPROVED

 Steve

Comment 6 Andrew Colin Kissa 2009-09-13 20:23:57 UTC
Thanks Steve,

New Package CVS Request
=======================
Package Name: php-email-address-validation
Short Description: A PHP class for validating email addresses
Owners: topdog
Branches: F-10 F-11 F-12 EL-5

Comment 7 Kevin Fenzi 2009-09-14 04:50:14 UTC
cvs done.

Comment 8 Fedora Update System 2009-09-14 16:28:11 UTC
php-email-address-validation-0-0.3.20090910svn.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-email-address-validation-0-0.3.20090910svn.fc10

Comment 9 Fedora Update System 2009-09-14 16:28:17 UTC
php-email-address-validation-0-0.3.20090910svn.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-email-address-validation-0-0.3.20090910svn.fc11

Comment 10 Fedora Update System 2009-09-14 16:28:21 UTC
php-email-address-validation-0-0.3.20090910svn.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/php-email-address-validation-0-0.3.20090910svn.el5

Comment 11 Fedora Update System 2009-09-15 07:34:27 UTC
php-email-address-validation-0-0.3.20090910svn.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-email-address-validation'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9534

Comment 12 Fedora Update System 2009-09-15 07:54:00 UTC
php-email-address-validation-0-0.3.20090910svn.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-email-address-validation'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9616

Comment 13 Fedora Update System 2009-09-17 02:29:39 UTC
php-email-address-validation-0-0.3.20090910svn.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-email-address-validation'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0449

Comment 14 Fedora Update System 2009-09-24 05:07:23 UTC
php-email-address-validation-0-0.3.20090910svn.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-09-24 05:11:00 UTC
php-email-address-validation-0-0.3.20090910svn.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-09-29 22:01:27 UTC
php-email-address-validation-0-0.3.20090910svn.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Adam Tkac 2015-03-03 09:11:19 UTC
Package Change Request
======================
Package Name: php-email-address-validation
New Branches: epel7
Owners: atkac
InitialCC: topdog

Comment 18 Gwyn Ciesla 2015-03-03 13:13:05 UTC
Comment from the Fedora maintainer?


Note You need to log in before you can comment on or make changes to this bug.